<?php
namespace Neklo\Scheduler\Model\Source\Schedule;

use Magento\Cron\Model\Schedule;

class Status implements \Magento\Framework\Option\ArrayInterface
{
    public function toOptionArray()
    {
        $items = $this->toArray();
        foreach($items as $key => $code) {
            $items[$key] = $this->getOption($code);
        }
        return $items;
    }

    public function getLabel($code)
    {
        return __(ucfirst($code));
    }

    protected function getOption($code)
    {
        return ['value' => $code, 'label' => $this->getLabel($code)];
    }

    public function toArray()
    {
        return [
            Schedule::STATUS_PENDING,
            Schedule::STATUS_RUNNING,
            Schedule::STATUS_SUCCESS,
            Schedule::STATUS_MISSED,
            Schedule::STATUS_ERROR
        ];
    }
}
